Package org.apache.groovy.parser.antlr4

# Class GroovyParser.MethodDeclarationContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.MethodDeclarationContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

public static class GroovyParser.MethodDeclarationContext extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `ct`
  `int`
  `t`

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)`
  `MethodDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState, int t, int ct)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<Result> Result`
  `accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `DEFAULT()`
  `GroovyParser.ElementValueContext`
  `elementValue()`
  `GroovyParser.FormalParametersContext`
  `formalParameters()`
  `int`
  `getRuleIndex()`
  `GroovyParser.MethodBodyContext`
  `methodBody()`
  `GroovyParser.MethodNameContext`
  `methodName()`
  `GroovyParser.ModifiersOptContext`
  `modifiersOpt()`
  `List<? extends GroovyParser.NlsContext>`
  `nls()`
  `GroovyParser.NlsContext`
  `nls(int i)`
  `GroovyParser.QualifiedClassNameListContext`
  `qualifiedClassNameList()`
  `GroovyParser.ReturnTypeContext`
  `returnType()`
  `org.antlr.v4.runtime.tree.TerminalNode`
  `THROWS()`
  `GroovyParser.TypeParametersContext`
  `typeParameters()`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### t

    public int t

  - ### ct

    public int ct

- ## Constructor Details

  - ### MethodDeclarationContext

    public MethodDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

  - ### MethodDeclarationContext

    public MethodDeclarationContext(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState, int t, int ct)

- ## Method Details

  - ### modifiersOpt

    public GroovyParser.ModifiersOptContext modifiersOpt()

  - ### methodName

    public GroovyParser.MethodNameContext methodName()

  - ### formalParameters

    public GroovyParser.FormalParametersContext formalParameters()

  - ### typeParameters

    public GroovyParser.TypeParametersContext typeParameters()

  - ### returnType

    public GroovyParser.ReturnTypeContext returnType()

  - ### nls

    public List<? extends GroovyParser.NlsContext> nls()

  - ### nls

    public GroovyParser.NlsContext nls(int i)

  - ### THROWS

    public org.antlr.v4.runtime.tree.TerminalNode THROWS()

  - ### qualifiedClassNameList

    public GroovyParser.QualifiedClassNameListContext qualifiedClassNameList()

  - ### methodBody

    public GroovyParser.MethodBodyContext methodBody()

  - ### DEFAULT

    public org.antlr.v4.runtime.tree.TerminalNode DEFAULT()

  - ### elementValue

    public GroovyParser.ElementValueContext elementValue()

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`